# Uses of Class
org.opensaml.storage.StorageRecord

Packages that use StorageRecord
Package
Description
org.opensaml.storage
Interfaces and classes for storing state data of the type used in replay caches, conversation identifiers, etc.
org.opensaml.storage.impl.memcached
Implementation of memcached `StorageService`.

## Uses of StorageRecord in org.opensaml.storage

Subclasses of StorageRecord in org.opensaml.storage
Modifier and Type
Class
Description
`class`
`MutableStorageRecord<T>`
Exposes mutation of `StorageRecord` properties.
Methods in org.opensaml.storage that return StorageRecord
Modifier and Type
Method
Description
`<T> StorageRecord<T>`
AbstractMapBackedStorageService.`read(String context, String key)`
Returns an existing record from the store, if one exists.
`<T> StorageRecord<T>`
StorageService.`read(String context, String key)`
Returns an existing record from the store, if one exists.
Methods in org.opensaml.storage that return types with arguments of type StorageRecord
Modifier and Type
Method
Description
`<T> Pair<Long,StorageRecord<T>>`
AbstractMapBackedStorageService.`read(String context, String key, long version)`
Returns an existing record from the store, along with its version.
`<T> Pair<Long,StorageRecord<T>>`
StorageService.`read(String context, String key, long version)`
Returns an existing record from the store, along with its version.
`protected <T> Pair<Long,StorageRecord<T>>`
AbstractMapBackedStorageService.`readImpl(String context, String key, Long version)`
Internal method to implement read functions.

## Uses of StorageRecord in org.opensaml.storage.impl.memcached

Subclasses of StorageRecord in org.opensaml.storage.impl.memcached
Modifier and Type
Class
Description
`class`
`MemcachedStorageRecord<T>`
Storage record implementation for use with `MemcachedStorageService`.
Methods in org.opensaml.storage.impl.memcached that return StorageRecord
Modifier and Type
Method
Description
`<T> StorageRecord<T>`
MemcachedStorageService.`read(String context, String key)`
Returns an existing record from the store, if one exists.
Methods in org.opensaml.storage.impl.memcached that return types with arguments of type StorageRecord
Modifier and Type
Method
Description
`<T> Pair<Long,StorageRecord<T>>`
MemcachedStorageService.`read(String context, String key, long version)`
Returns an existing record from the store, along with its version.